## org.eclipse.datatools.sqltools.sqlbuilder.util
Class TString

    java.lang.Object
      org.eclipse.datatools.sqltools.sqlbuilder.util.TString

    public class TString

extends java.lang.Object

This class provides static methods for some of the very used IString operations

Constructor Summary
`TString()`

Method Summary
`static java.lang.String` `change(java.lang.String in, java.lang.String oldPat, java.lang.String newPat)`
`static java.lang.String` `change(java.lang.String in, java.lang.String oldPat, java.lang.String newPat, int startPos, int numChanges)`
`static boolean` `containsDoubleBlanks(java.lang.String srcString)`
`static java.lang.String` `copy(java.lang.String srcString, int numberOfCopies)`
`static long` `getLong(java.lang.String str)`
`static int` `indexOfAnyBut(java.lang.String srcString, java.lang.String validString)`
`static boolean` `isAlphabetic(java.lang.String srcString)`
`static boolean` `isAlphanumeric(java.lang.String srcString)`
`static boolean` `isDigits(java.lang.String srcString)`
`static boolean` `isFileNameFormat(java.lang.String text)` return true if the text can be a file name
`static boolean` `isIP(java.lang.String hostName)`
`static boolean` `isIPAddress(java.lang.String name)`
`static int` `lastIndexOfAnyBut(java.lang.String srcString, java.lang.String validString)`
`static int` `numWords(java.lang.String in)`
`static int` `occurrenceOf(java.lang.String srcString, char searchChar)`
`static java.lang.String` `stripLeading(java.lang.String srcString, java.lang.String pString)`
`static java.lang.String` `stripTrailing(java.lang.String srcString, java.lang.String pString)`
`static java.lang.String` `stripTrailingBlanks(java.lang.String src)` strip the trailing blanks in the src
`static java.lang.String` `toIP(java.lang.String ipHost)`
`static java.lang.String` `word(java.lang.String in, int i)`
`static java.lang.String` `words(java.lang.String in, int i)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TString

    public TString()

Method Detail

### change

    public static java.lang.String change(java.lang.String in,
                                          java.lang.String oldPat,
                                          java.lang.String newPat)

### change

    public static java.lang.String change(java.lang.String in,
                                          java.lang.String oldPat,
                                          java.lang.String newPat,
                                          int startPos,
                                          int numChanges)

### containsDoubleBlanks

    public static boolean containsDoubleBlanks(java.lang.String srcString)

### copy

    public static java.lang.String copy(java.lang.String srcString,
                                        int numberOfCopies)

### getLong

    public static long getLong(java.lang.String str)

### indexOfAnyBut

    public static int indexOfAnyBut(java.lang.String srcString,
                                    java.lang.String validString)

### isAlphabetic

    public static boolean isAlphabetic(java.lang.String srcString)

### isAlphanumeric

    public static boolean isAlphanumeric(java.lang.String srcString)

### isDigits

    public static boolean isDigits(java.lang.String srcString)

### isFileNameFormat

    public static boolean isFileNameFormat(java.lang.String text)

  return true if the text can be a file name

### isIP

    public static boolean isIP(java.lang.String hostName)

### isIPAddress

    public static boolean isIPAddress(java.lang.String name)

### lastIndexOfAnyBut

    public static int lastIndexOfAnyBut(java.lang.String srcString,
                                        java.lang.String validString)

### numWords

    public static int numWords(java.lang.String in)

### occurrenceOf

    public static int occurrenceOf(java.lang.String srcString,
                                   char searchChar)

### stripLeading

    public static java.lang.String stripLeading(java.lang.String srcString,
                                                java.lang.String pString)

### stripTrailing

    public static java.lang.String stripTrailing(java.lang.String srcString,
                                                 java.lang.String pString)

### stripTrailingBlanks

    public static java.lang.String stripTrailingBlanks(java.lang.String src)

  strip the trailing blanks in the src

### toIP

    public static java.lang.String toIP(java.lang.String ipHost)

### word

    public static java.lang.String word(java.lang.String in,
                                        int i)

### words

    public static java.lang.String words(java.lang.String in,
                                         int i)